package fsenablers.android.login;

public class UserAccount {
	
	private String token;
	private String firstName;
	private String lastName;

	UserAccount() {
		
	}
	
	UserAccount( String token, String firstName, String lastName ) {
		this.token = token;
		this.firstName = firstName;
		this.lastName = lastName;
	}
	
	public String getAuthToken() {
		return token;
	}
	
	public String getFirstName() {
		return firstName;
	}
	
	public String getLastName() {
		return lastName;
	}
	
	public boolean isValid() {
		return token != null;
	}
	
	public String toString() {
		if( isValid() ) {
			return "AuthToken = " + getAuthToken() + ", FirstName = " + getFirstName() + ", LastName = " + getLastName();
		} else {
			return "Invalid UserAccount";
		}
	}
	
}
